
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>使用springloaded进行java应用热部署 / iVAN</title>

    <meta name="description" content="使用springloaded进行java应用热部署 试了下不错,不像JRebel那样收费,这个开源的,感觉很好用. 首先下载springloaded.jar https://github.com/spring-projects/spring-loaded 也可以使用maven拉取: &lt;dependency&gt; &lt;groupId&gt;org.springframework&lt;/groupId&gt; &lt;artifactId&gt;springloaded&lt;/artifactId&gt; &lt;version&gt ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">使用springloaded进行java应用热部署</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>试了下不错，不像JRebel那样收费，这个开源的，感觉很好用。</p>
<h2>首先下载springloaded.jar</h2>
<p><a href="https://github.com/spring-projects/spring-loaded" rel="external nofollow noreferrer">https://github.com/spring-projects/spring-loaded</a></p>
<p>也可以使用maven拉取：</p>
<pre><code>&lt;dependency&gt;
  &lt;groupId&gt;org.springframework&lt;/groupId&gt;
  &lt;artifactId&gt;springloaded&lt;/artifactId&gt;
  &lt;version&gt;1.2.7.RELEASE&lt;/version&gt;
&lt;/dependency&gt;</code></pre>
<h2>普通jdk应用</h2>
<pre><code>java -javaagent:/Users/pollyduan/springloaded-1.2.7.RELEASE.jar -noverify SomeJavaClass</code></pre>
<p>只要修改class文件，立即生效，SomeJavaClass修改无效。</p>
<h2>tomcat配置</h2>
<h3>关闭tomcat的reloadable</h3>
<p>修改server.xml。</p>
<pre><code>&lt;Context reloadable="false"</code></pre>
<p>如果希望eclipse中所有的工程都默认为reloadable为false，那么如下配置：</p>
<pre><code>在Servers视图（默认在下面的窗口中），双击你的服务器；
将"Server options"配置项中的"Modules auto reload by default"取消选中，关闭保存。</code></pre>
<h3>修改启动配置增加代理</h3>
<p>如果是纯tomcat中配置，修改启动脚本catalina.bat(linux中为catalina.sh)：</p>
<pre><code>#windows
#set JAVA_OPTS=-javaagent:/Users/pollyduan/springloaded-1.2.7.RELEASE.jar -noverify
#linux
export JAVA_OPTS="-javaagent:/Users/pollyduan/springloaded-1.2.7.RELEASE.jar -noverify"</code></pre>
<p>只要修改class文件，立即生效。</p>
<h2>Eclipse</h2>
<h3>修改server配置</h3>
<p>修改eclipse的Servers模块中的server.xml文件。</p>
<pre><code>&lt;Context reloadable="false"</code></pre>
<h3>修改启动脚本</h3>
<p>在eclipse中，第一次启动运行之后，修改“Run Configurations”，在启动脚本的”Arguments” 选项卡，在“VM arguments”文本框中增加：</p>
<pre><code>-javaagent:/Users/pollyduan/springloaded-1.2.7.RELEASE.jar -noverify</code></pre>
<p>使用修改后的启动脚本，重新启动，既可实现修改后自动加载了。</p>
<p>控制台不会显示任何信息。</p>
<h2>非Spring项目的说明</h2>
<p>可以使用热加载功能，但是会提示：</p>
<pre><code>Reloading: JVMPlugin: warning: unable to clear BEANINFO_CACHE, cant find field</code></pre>
<p>忽略即可。如果加入spring容器的依赖和配置，就不会出现了。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-01-21 09:01:41</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%a8%a1%e5%9d%97/" title="模块">模块</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/server/" title="server">server</a>, <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/eclipse/" title="eclipse">eclipse</a>, <a href="https://www.iamivan.net/tag/xml/" title="xml">xml</a>, <a href="https://www.iamivan.net/tag/%e8%84%9a%e6%9c%ac/" title="脚本">脚本</a>, <a href="https://www.iamivan.net/tag/linux/" title="linux">linux</a>, <a href="https://www.iamivan.net/tag/%e5%ae%b9%e5%99%a8/" title="容器">容器</a>, <a href="https://www.iamivan.net/tag/class/" title="class">class</a>, <a href="https://www.iamivan.net/tag/tomcat/" title="tomcat">tomcat</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e5%88%b6%e5%8f%b0/" title="控制台">控制台</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>使用springloaded进行java应用热部署的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwJw7dp.html" rel="bookmark">Java服务器热部署的实现原理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[本文转载于Java服务器热部署的实现原理] 今天发现早年在大象笔记中写的一篇笔记,之前放在ijavaboy上的,现在它已经访问不了了.前几天又有同事在讨论这个问题.这里拿来分享一下. 在web应用开发或者游戏服务器开发的过程中,我们时时刻刻都在使用热部署.热部署的目的很简单,就是为了节省应用开发和发布的时间.比如,我们在使用Tomcat或者Jboss等应用服务器开发应用时,我们经常会开启热部署功能.热部署,简单点来说,就是我们将打包好的应用直接替换掉原有的应用,不用关闭或者重启服务器,一切就是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkJmOwM.html" rel="bookmark">关于热部署-理解与总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				由于我一直是做php开发,热部署对我而言是一个新概念,比较新鲜.根据查阅,才知道是其他语言才有的. 我更喜欢了解一项技术从原理性来求解,这样一通百通.只需要了解原理,就抓住本质的东西了,细节可能不会. 我总结需要热部署的根源在于如下: 应用程序服务器(tomcat,node.js)为了提高性能.一个代码文件比如a.php(这里只是用php来举例,php无这种机制), 需要的时候会把a.php的内容载入内存,下回访问,直接从内存中拿代码. 所以:即便我修改了a.php代码,更新,应用程序服务器拿的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/5zOZdQp.html" rel="bookmark">深入探索Java热部署</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简介 在 Java 开发领域,热部署一直是一个难以解决的问题,目前的 Java 虚拟机只能实现 方法体的修改热部署,对于整个类的结构修改,仍然需要重启虚拟机,对类重新加载才能完成更新操作. 对于某些大型的应用来说,每次的重启都需要花费大量的时间成本.虽然 osgi 架构的出现,让模块重启 成为可能,但是如果模块之间有调用关系的话,这样的操作依然会让应用出现短暂的功能性休克.本文将 探索如何在不破坏 Java 虚拟机现有行为的前提下,实现某个单一类的热部署,让系统无需重启就完成某 个类的更新. 类			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWl5qXp.html" rel="bookmark">服务器-JAVA 关于发布JAR包后热部署问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 JAVA 关于发布JAR包后热部署问题 目前有2台服务器,负载均衡,2台服务器上分别部署了WINDOWS后台服务程序, 修改了JAR包后,可以不重启服务重新加载吗?万分感谢! 解决方案 方法: 1. 先了解类加载器,编写自定义类加载器 2. OSGI技术,已经有很规范的技术实现了 解决方案二: 修改tomcat的 server.xml 设置 reloadable=&quot;true&quot; ,重启后即可!			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boK9Y3b.html" rel="bookmark">深入探索 Java 热部署</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在 JAVA 开发领域,热部署一直是一个难以解决的问题,目前的 JAVA 虚拟机只能实现方法体的修改热部署,对于整个类的结构修改,仍然需要重启虚拟机,对类重新加载才能完成更新操作.对于某些大型的应用来说,每次的重启都需要花费大量的时间成本.虽然 OSGI 架构的出现,让模块重启成为可能,但是如果模块之间有调用关系的话,这样的操作依然会让应用出现短暂的功能性休克.本文将探索如何在不破坏 JAVA 虚拟机现有行为的前提下,实现某个单一类的热部署,让系统无需重启就完成某个类的更新. 类加载的探索 首先			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYXjRZb.html" rel="bookmark">Spring Boot &plus; Spring-loaded 热部署</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    spring boot大大加快了目前使用spring开发项目的速度,在开发的时候结合spring-loaded来实现热部署,更是让开发如虎添翼.       最新spring-loaded下载地址         配置如图:-javaagent:D:\springloaded-1.2.1.RELEASE.jar -noverify      			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5RL9az.html" rel="bookmark">如何在不破坏Java虚拟机的前提下实现热部署</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文将探索如何在不破坏 Java 虚拟机现有行为的前提下,实现某个单一类的热部署,让系统无需重启就完成某个类的更新. 在 Java 开发领域,热部署一直是一个难以解决的问题,目前的 Java 虚拟机只能实现方法体的修改热部署,对于整个类的结构修改,仍然需要重启虚拟机,对类重新加载才能完成更新操作.对于某些大型的应用来说,每次的重启都需要花费大量的http://www.aliyun.com/zixun/aggregation/7201.html&quot;&gt;时间成本.虽然 osgi 架构的出现,让模块			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKYk4dp.html" rel="bookmark">热部署 java web 运维-在部署web应用的时候，怎么才能不影响正常用户的访问实现热部署？比较主流的方案是怎么样的</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在部署web应用的时候,怎么才能不影响正常用户的访问实现热部署?比较主流的方案是怎么样的 在部署web应用的时候,怎么才能不影响正常用户的访问实现热部署?比较主流的方案是怎么样的.假如我只有一台服务器 有没有必要在一台服务器上配置两个web应用来提高服务的可用性 解决方案 负载均衡,多台服务器备份,然后部署的时候,先部署一台,把流量都导到另一台处理业务,等部署好后,开始逐步分配流量,进行监测看业务是否运行正常 如果没什么问题,那么就进行另一台的部署,同样的流程 解决方案二: 负载均衡,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQaA0Qb.html" rel="bookmark">spring boot 调试 - 热部署</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在bash脚本中的启动方式: #!/bin/bash JAVA_OPTS=&quot;-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=5005&quot; nohup java -jar $JAVA_OPTS scheduler-0.0.1.jar --spring.profiles.active=prod &gt;/dev/null 2&gt;&amp;1 &amp; JAVA_OPTS的双引号不能少,否则报错   命令行			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDkxKp.html" rel="bookmark" class="title">设计故事&colon;收藏夹里的广告和组合购买</a>
					<div>
						分享两则我自己的故事,是非功过,由各位评说. 故事一:收藏夹里的广告 今年6月份,我登录淘宝,打开&quot;我的收藏夹&quot;,突然发现多了两个条目,一个在收藏的单品里,一个在收藏的店铺里,而且 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYdrVb.html" rel="bookmark" class="title">【SQL 学习】case 表达式</a>
					<div>
						SQL&gt; --使用case 表达式 ---简单CASE表达式 SQL&gt; select product_id,product_type_id ,   2  case product_type ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOd4mb.html" rel="bookmark" class="title">教程&sol;dreamweaver&sol;入门 Dreamweaver 4 简明教程10&lpar;网页的排版&rpar;</a>
					<div>
						dreamweaver|教程|网页 表格的使用 表格是网页的一个非常重要元素,因为HTML本身并没有提供更多的排版手段,我们往往就要借助表格实现网页的精细排版.可以说表格的是网页制作中最为重要的一个技 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBxY9p.html" rel="bookmark" class="title">如何使用ASP制作类似安装向导的页面&quest;</a>
					<div>
						安装向导|页面|安装向导 如何使用ASP制作类似安装向导的页面?面临的主要问题何在:1.界面和一个Windows Wizard完全一样,有Next和Back按钮2.用户可以使用Back按钮回到以前的任 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnGEVz.html" rel="bookmark" class="title">安装MySQL事务数据库&lpar;InnoDB&rpar;</a>
					<div>
						    MySQL数据库分二种类型,一种是传统的数据表格式,一种是支持事务处理的数据表格式(InnoDB,BDB,其中以InnoDB为主),下面我介绍一下关于MySQL事务处理数据库的安装及使用方法  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7y0Db.html" rel="bookmark" class="title">qq输入法怎么点亮</a>
					<div>
						  qq输入法怎么点亮         使用QQ号码登录QQ输入法后,开始累积积分;当积分超过300分,具备点亮QQ图标的特权,然后进入&quot;QQ输入法&quot;页面,点击&quot;我要点亮 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLe4ab.html" rel="bookmark" class="title">Photoshop给偏红的儿童照片较色</a>
					<div>
						Photoshop给偏红的儿童照片较色 当我们看到一张偏色的图片时,首先要知道它是哪儿出问题了.可以通过直方图查看,也可以通过通道来查看,下面简单说说用通道给偏红照片较色. 原图 最终效果  1.打开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKna1p.html" rel="bookmark" class="title">PS设计漂亮时尚MP3</a>
					<div>
						教程向飞特的朋友们介绍利用PS设计漂亮时尚MP3播放器,教程难度不大,适合初级PS学习者学习,现在,我们先来看看最终效果图:   下面我们一起来学习制作过程: 第一步在任何颜色的油漆层,添加一个如下所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKk5N5b.html" rel="bookmark" class="title">Win7 EXE应用程序图标丢失解决办法</a>
					<div>
						遇到一个奇怪的问题 DW 5.5 安装后发现图标不见了,快捷方式成了一个没有图标的东西.很不舒服.在网上找了找真是强人真多,把解决方法分享给大家. 在命令提示符下输入下列命令即可恢复. 按键 &quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwE4lb.html" rel="bookmark" class="title">如何解决Windows7下资源管理器无法搜索到文件</a>
					<div>
						  1.首先双击电脑桌面上的&quot;计算机&quot;图标,然后点击资源管理器上方的&quot;组织-文件夹和搜索选项&quot;项; 2.然后再弹出来的文件夹选项界面中,切换到&quot;搜索& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o4PBb.html" rel="bookmark" class="title">vivo X20全面屏手机推出黑金旗舰版，这个十月神秘无限</a>
					<div>
						昨天娱乐圈迎来了一桩喜事,vivo X20代言人鹿晗在微博上公布恋情,让众多的粉丝们激动不已.今天上午,手机圈也带来一则大新闻,vivo官方正式宣布vivo X20全面屏手机黑金旗舰版的面世,将于10 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Q8Onp.html" rel="bookmark" class="title">C&num; XML本地文件转换成XML字符串</a>
					<div>
						点击打开链接					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7Eorz.html" rel="bookmark" class="title">Java常用类库--Math、Random、NumberFormat、DecimalFormat、BigInteger、BigDecimal</a>
					<div>
						1.Math类 表示数学操作,例如:平方根.四舍五入等等. public class MathDemo01{ public static void main(String args[]){ // Ma ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW26JAb.html" rel="bookmark" class="title">路由器停产，360的其他硬件产品是否安好？</a>
					<div>
						昨天(8月24日)下午,周鸿祎在他的新书发布会上坦言,360路由器因&quot;犯了几个错误&quot;现在已经停产了,而且表示&quot;以后再也不做这么傻的产品&quot;.事实上,360很早就试 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvra7aM.html" rel="bookmark" class="title">datagridview-C&num;的dategridview中数据导出到excel的问题</a>
					<div>
						问题描述 C#的dategridview中数据导出到excel的问题 public bool ExportDataGridview(DataGridView gridView, bool isShow ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmDD8z.html" rel="bookmark" class="title">RSYSLOG没那么简单</a>
					<div>
						定义系统默认的日志收集还算EASY. 但如何在公司项目里要配置程序员们写的自定义日志,那可能就要用到LOCAL及FILTER过滤这些东东了... 慢慢走吧.. 收集URL备用,都是讲LOCAL,TEM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA4keM.html" rel="bookmark" class="title">360一款正在研发的新硬件产品曝光</a>
					<div>
						摘要: 12月12日消息,360又一款正在研发的新硬件产品曝光.据360内部人爆料,360正研发无线路由器和电视盒子,很快将对外发售. 此前,360联手路由器厂商磊科推安全路由器,其最大特色功 12月 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeR24Vb.html" rel="bookmark" class="title">ios中的枚举类型  ios6&plus;</a>
					<div>
						在iOS6和Mac OS 10.8以后Apple引入了两个宏来重新定义这两个枚举类型,实际上是将enum定义和typedef合二为一,并且采用不同的宏来从代码角度来区分. NS_OPTIONS一般用来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAjVJp.html" rel="bookmark" class="title">《树莓派实战秘籍》&mdash;&mdash;2&period;3　技巧23更新到最新的预建内核</a>
					<div>
						2.3 技巧23更新到最新的预建内核 树莓派实战秘籍 让你的树莓派使用最新的Linux内核?你当然可以这么做,而且有一种方法可以让你不必从源代码构建就能够获取它们. 树莓派基金会的好人们经常努力工作增 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RNYmz.html" rel="bookmark" class="title">代码有错误，求大神帮忙指导！！！！</a>
					<div>
						问题描述 代码有错误,求大神帮忙指导!!!! public class ContactsFragment extends Fragment implements OnClickListener { p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRL8Nb.html" rel="bookmark" class="title">spring mybatis 的注解事务</a>
					<div>
						首先要在 spring-mybatis的配置文件添加 事务支持,和事务annotation支持 注意:如果是mysql请使用innodb innodb 支持事务功能,myisam 不支持. &lt;! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYDkmp.html" rel="bookmark" class="title">学生站长眼中的互联网未来</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 各位站友们大家好,我又来了,不知道大家对我还有没有印象大约一个月前我在这里讲过一篇&lt;站长应该注意的心理问题&gt;一个月之后 我以一个学生的身份向 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRN81b.html" rel="bookmark" class="title">虚拟社交网络体验正由互联网走向现实世界</a>
					<div>
						美国IT杂志&lt;Computerworld&gt;专栏作家迈克·埃尔根(Mike Elgan)近日发表评论文章称,虚拟社交网络的体验正由互联网逐步向现实世界扩展. 以下为埃尔根文章全文: 在199 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod6DBM.html" rel="bookmark" class="title">SQL Server AlwaysON 同步模式的疑似陷阱</a>
					<div>
						原文:SQL Server AlwaysON 同步模式的疑似陷阱 SQL Server 2012 推出的最重要的功能之一Alwayson,是一个集之前Cluster和Mirror于一体的新功能,即解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5knEp.html" rel="bookmark" class="title">动画-android listview  从左侧慢慢弹出</a>
					<div>
						问题描述 android listview 从左侧慢慢弹出 一个逐渐弹出的动画效果,如何实现呢?类似popupwindow的效果 解决方案 把listview单独放在一个view层里面,view做成A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBKdYz.html" rel="bookmark" class="title">Kubernetes静态持久卷的探索学习</a>
					<div>
						本文讲的是Kubernetes静态持久卷的探索学习[编者的话]随着Docker及Kubernetes技术发展的越来越成熟稳定,容器平台不仅仅局限于部署无状态应用,越来越多的有状态服务也可以在容器云上稳 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq5Pxb.html" rel="bookmark" class="title">red5-想做一个直播网站，摄像的时候用dv之类的摄像机，500个用户同时观看，一个频道的。</a>
					<div>
						问题描述 想做一个直播网站,摄像的时候用dv之类的摄像机,500个用户同时观看,一个频道的. 服务器端想用red5实现但是还不知直播网站的技术流程是什么? 例如不知道 采集dv 的视频之类的重要问题( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgxNKM.html" rel="bookmark" class="title">exe注入jpg-有关于VB编写的程序注入。</a>
					<div>
						问题描述 有关于VB编写的程序注入. 是这样,最近弄了一VB程序编写成的EXE,但想把它注入到JPG或BMP图片中去..请问有这样的软件么? 之前问过一个程序老师,他说是可以,但要了解EXE和JPG( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22GnZb.html" rel="bookmark" class="title">jvm-Ubuntu启动 eclipse 失败 JVM terminated&period; Exit code&equals;13</a>
					<div>
						问题描述 Ubuntu启动 eclipse 失败 JVM terminated. Exit code=13 错误码: JVM terminated. Exit code=13 /usr/java/jd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2KlOz.html" rel="bookmark" class="title">Zend Framework框架实现类似Google搜索分页效果&lowbar;php实例</a>
					<div>
						本文实例讲述了Zend Framework框架实现类似Google搜索分页效果.分享给大家供大家参考,具体如下: /** * * @param unknown_type $model 表类型 * @p ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
